V1 and V2Product Attributes

Get a product attribute

GET
/api/v1/attributes/product/{product_attribute_id}

Retrieves a product attribute by id

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_attribute_id*string

Response Body

application/json

application/json

curl -X GET 'https://example.com/api/v1/attributes/product/string'
{  "data": [    {      "groups": [],      "id": "5d0b4ea525abd700016fc037",      "label": "in_stock",      "name": "In Stock",      "type_class": "BooleanAttribute"    }  ]}